""" Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """

UNREGISTERED_TASKS = "Following tasks are not registered.[Please inherit task class from  base 'Tasks' class which is at 'framework.base.tasks' to register] => {}"
LIST_OF_TASKS = "List of tasks that will get executed under {0} phase =>"
VERSION_ARG_NOT_PROVIDED = "Please provide FortiSOAR version."
VERSION_NON_NUMERIC_NON_DOT_FOUND = "Version argument should not contain any alphabet or special character except a period(.)."
VERSION_PATTERN_NOT_FOLLOWED = "Specify version in the format: x.y.z"
ERROR_OCCURED = "ERROR: Following error occured during {0} =>\n{1}"
PHASE_ARG = "Phases that can be provided as an argument :"
NO_FILE_OR_DIR = "No such file or directory exists: {0}"
EXTRACTED_SUCCESSFULLY = "All files from the '{0}' zip file got successfully extracted to '{1}'."
GENERATOR_UPGRADE_PHASE = "Can not create tasks for 'upgrade' phase using task generator utility."
TASK_NAME_START = "Task file name must start with its order of execution number. Ex: 10_test_task"
TASK_NAME_CONVENTION = "Task file name should follow below mentioned the set conventions =>\n 1] Name should start with execution order sequence number\n 2] Number should followed by underscore\n 3] Task name should follow snake case\n Ex: 10_test_task"
TASK_SEQ_NUM = "Task sequence number {0} already exists in {1} phase. \nPlease provide a sequence number apart from the following list :\n{2}"
TASK_CREATED = "Task file {0} successfully got created in \n{1}."
TASK_CREATION_FAILED = "Failed to create task file {0} in \n{1}."
PASCAL_CASE = "Please ensure class name follows 'PascalCase i.e UpperCamelCase'. Ex: TestClass."
FILE_EXISTS = "File with name {0} already exists in {1}."
VALIDATE_FAILED = "Validation of {0} phase failed."
PROVIDE_PHASE_FROM_LIST = "Please provide phase from the following list =>"
PROVIDE_TASK_NAME = "Please provide the task file name."
PROVIDE_CLASS_NAME = "Please provide the class name."
CHECKSUM_FAILED = "Checksum validation failed."
REFER_LOG = "Please refer fsr-elevate.log file located at '/var/log/cyops/fsr-elevate'"
PROVIDE_SCRIPT_NAME = "Please provide the script file name."
SCRIPT_NAME_CONVENTION = "Shell script file name should follow snake case.\n Ex: test_script"
SCRIPT_CREATED = "Script file {0} successfully got created in \n{1}."
SCRIPT_CREATION_FAILED = "Failed to create script file {0} in \n{1}."
PHASE_START_MSG = "Started executing {0} phase."
PHASE_END_MSG = "Completed execution of {0} phase."
COMMAND_RUNNING = "{0} command is already running. Wait for some time and try again."
JSON_PARSE_ERROR = "Unable to parse json file. Following error occured => {0}"
UNSUPPORTED_VERSION_PROVIDED = "FortiSOAR upgrade from {0} to {1} is not supported. Upgrade from version {2} to version {3} is supported."
VERSION_DATA_UNAVAILABLE = "Entry of version {0} not added to upgrade_support_versions.json file. To upgrade to {1} version contact administrator."
LOWER_OR_SAME_VERSION_PROVIDED = "Current FortiSOAR version on instance : {0}. Target version specified : {1}. As the target version is {2} the current version, this operation is not allowed."
REPORT_GENERATED = "Report '{0}' generated successfully at {1}."
PROVIDED_ZIP_EXTRACTION_ERROR = "Provided {0} may contain /workflow dir and rpm inside a directory. They should be on first level while creating zip. Zip extraction failed."
REPO_ZIP_EXTRACTION_ERROR = "elevate-{0}.zip from repo may contain /workflow dir and rpm inside a directory. They should be on first level while creating zip. Zip extraction failed."
EXECUTION_RESUME_MSG = "### Execution of {0} phase resumed from {1} task file."
TASK_SUCCESSFUL_EXECUTION = "{0} got successfully executed."
STEP_RESULT_EMPTY = "step_result-{0}.json located at '/opt/fsr-elevate/elevate/outputs' is empty."
STEP_RESULT_NOT_EXISTS = "step_result-{0}.json doesn't exists at location \n'/opt/fsr-elevate/elevate/outputs'."
EXECUTE_PREUPGRADE_PHASE = "Please execute following command => \n'csadm upgrade execute-phase --phase preupgrade --version {0}'"
POST_UPGRADE_EXECUTION_RESTRICTION = "The postupgrade phase can only be executed for the {0} version after upgrading FortiSOAR to the {0} version.\nThe current version is {1}, and the postupgrade phase can be executed for the current version."
UNABLE_TO_CONNECT = "Unable to connect to the '{0}'. Please check the connection to the '{1}'."